Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.core
Class MD4

`java.lang.Object
oracle.security.crypto.core.MessageDigest
oracle.security.crypto.core.MD4`

All Implemented Interfaces:
  java.lang.Cloneable

public final class MD4
extends MessageDigest

The MD4 Message Digest algorithm, as specified in RFC 1320.

See Also:
  `MessageDigest`, `SHA`

Nested Class Summary

Nested classes inherited from class oracle.security.crypto.core.MessageDigest
`MessageDigest.MDState`

Field Summary

Fields inherited from class oracle.security.crypto.core.MessageDigest
`algID, digestBits, digestValid`

Constructor Summary
`MD4()`

Method Summary
`java.lang.String` | `algName()` Returns the algorithm name of this message digest.
`int` | `blockSize()`
`java.lang.Object` | `clone()` Returns a clone of this message digest object.
`void` | `computeCurrent()` Completes the hash computation, performing any necessary operations such as padding.
`AlgorithmIdentifier` | `getAlgID()`
`int` | `getDigestLength()` Returns the length in bytes of the message digest.
`protected MessageDigest.MDState` | `getState()`
`void` | `init()` Resets the digest to its initial state.
`static void` | `main(java.lang.String[] args)`
`protected void` | `setState(MessageDigest.MDState state)`
`void` | `update(byte b)` Adds the specifed byte to the data being digested.
`void` | `update(byte[] input, int off, int len)` Adds the specified sequence of bytes to the data being digested.

Methods inherited from class oracle.security.crypto.core.MessageDigest
`computeDigest, computeDigest, getDigestBits, getInstance, isEqual, isEqual, setAlgID, toString, update, update, update, update, update, update, update, update, update, update, updateASCII`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MD4

    public MD4()

Method Detail

### getAlgID

    public AlgorithmIdentifier getAlgID()

  Specified by:
    `getAlgID` in class `MessageDigest`

### blockSize

    public int blockSize()

  Specified by:
    `blockSize` in class `MessageDigest`

### init

    public void init()

  Resets the digest to its initial state.
  Specified by:
    `init` in class `MessageDigest`

### update

    public void update(byte b)

  Adds the specifed byte to the data being digested.
  Specified by:
    `update` in class `MessageDigest`

### update

    public void update(byte[] input,
                       int off,
                       int len)

  Adds the specified sequence of bytes to the data being digested.
  Overrides:
    `update` in class `MessageDigest`
  Parameters:
    `input` - the input array
    `off` - start position in the input array
    `len` - the number of input array elements to add to the data being digested

### computeCurrent

    public void computeCurrent()

  Completes the hash computation, performing any necessary operations such as padding. The final result of the hash is stored in `digestBits`.
  Specified by:
    `computeCurrent` in class `MessageDigest`

### algName

    public java.lang.String algName()

  Returns the algorithm name of this message digest.
  Specified by:
    `algName` in class `MessageDigest`
  Returns:
    "MD4"

### getDigestLength

    public int getDigestLength()

  Returns the length in bytes of the message digest.
  Specified by:
    `getDigestLength` in class `MessageDigest`

### clone

    public java.lang.Object clone()

  Returns a clone of this message digest object.
  Specified by:
    `clone` in class `MessageDigest`

### getState

    protected MessageDigest.MDState getState()

  Specified by:
    `getState` in class `MessageDigest`

### setState

    protected void setState(MessageDigest.MDState state)

  Specified by:
    `setState` in class `MessageDigest`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.